{% extends "layout/app.html" %}
{% block title %}
    <title>Station meteo</title>
{% endblock %}
{% block content %}

    <div class="container-fluid h100">

        <div class="pb-5 pt-5 is-flex justify-center">
            <h1 class="title has-text-black mr-2">Station Météo</h1>
            <i class="fas fa-cloud-sun fa-3x has-text-black"></i>
        </div>

        <div class="columns">
            <div class="column">
                <div class="card">
                    <div class="card-image">
                        <figure class="image is-2by1">
                            <a id="sensor1">
                                <img src="https://picsum.photos/640/320/?85" alt="sensor">
                            </a>
                        </figure>
                    </div>
                    <div class="card-content">
                        <div class="media">
                            <div class="media-content has-text-centered">
                                <p class="title is-4"><i class="fas fa-edit" onclick="editName(this)"></i><span id="nomSensor"></span></p>
                                <p id="editSensor1" class="subtitle is-6"><span id="idSensor"></span></p>
                            </div>
                        </div>

                        <div class="content">
                            <div>
                                <i id="signal" class="far fa-circle"></i>
                                <span> </span>
                            </div>
                            <div>
                                <i class="fas fa-hdd"></i>
                                Mac adresse : <span id="macAdresse"></span>
                            </div>
                            <div>
                                <i id="batterie-empty" class="fas fa-battery-empty" style="display: none"></i>
                                <i id="batterie-quarter" class="fas fa-battery-quarter" style="display: none"></i>
                                <i id="batterie-half" class="fas fa-battery-half" style="display: none"></i>
                                <i id="batterie-three-quarters" class="fas fa-battery-three-quarters" style="display: none"></i>
                                <i id="batterie-full" class="fas fa-battery-full" style="display: none"></i>
                                Batterie : <span id="batterie"></span>%
                            </div>
                            <br>
                            <div>
                                <i class="fas fa-clock"></i>
                                Date : <span id="date"></span>
                            </div>
                            <div>
                                <i class="fas fa-tint"></i>
                                Humidité : <span id="humidite"></span>%
                            </div>
                            <div>
                                <i class="fas fa-temperature-high"></i>
                                Temperature : <span id="temperature"></span>°
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="column">
                <div class="card">
                    <div class="card-image">
                        <figure class="image is-2by1">
                            <a id="sensor2">
                                <img src="https://picsum.photos/640/320/?94" alt="sensor">
                            </a>
                        </figure>
                    </div>
                    <div class="card-content">
                        <div class="media">
                            <div class="media-content has-text-centered">
                                <p class="title is-4"><i class="fas fa-edit" onclick="editName(this)"></i> <span id="nomSensor2"></span></p>
                                <p id="editSensor2" class="subtitle is-6"><span id="idSensor2"></span></p>
                            </div>
                        </div>

                        <div class="content">
                            <div>
                                <i id="signal2" class="far fa-circle"></i>
                                <span> </span>
                            </div>
                            <div>
                                <i class="fas fa-hdd"></i>
                                Mac adresse : <span id="macAdresse2"></span>
                            </div>
                            <div>
                                <i id="batterie2-empty" class="fas fa-battery-empty" style="display: none"></i>
                                <i id="batterie2-quarter" class="fas fa-battery-quarter" style="display: none"></i>
                                <i id="batterie2-half" class="fas fa-battery-half" style="display: none"></i>
                                <i id="batterie2-three-quarters" class="fas fa-battery-three-quarters" style="display: none"></i>
                                <i id="batterie2-full" class="fas fa-battery-full" style="display: none"></i>
                                Batterie : <span id="batterie2"></span>%
                            </div>
                            <br>
                            <div>
                                <i class="fas fa-clock"></i>
                                Date : <span id="date2"></span>
                            </div>
                            <div>
                                <i class="fas fa-tint"></i>
                                Humidité : <span id="humidite2"></span>%
                            </div>
                            <div>
                                <i class="fas fa-temperature-high"></i>
                                Temperature : <span id="temperature2"></span>°
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="column">
                <div class="card">
                    <div class="card-image">
                        <figure class="image is-2by1">
                            <a id="sensor3" href="/sensor/">
                                <img src="https://picsum.photos/640/320/?88" alt="sensor">
                            </a>
                        </figure>
                    </div>
                    <div class="card-content">
                        <div class="media">
                            <div class="media-content has-text-centered">
                                <p class="title is-4"><i class="fas fa-edit" onclick="editName(this)"></i><span id="nomSensor3"></span></p>
                                 <p id="editApi1" class="subtitle is-6"><span id="villeApi">Bordeaux</span></p>
                             </div>
                        </div>

                        <div class="content">
                            <div>
                                <i id="signal3" class="far fa-circle"></i>
                                <span> </span>
                            </div>
                            <br>
                            <div>
                                <i class="fas fa-clock"></i>
                                Date : <span id="date3"></span>
                            </div>
                            <div>
                                <i class="fas fa-tint"></i>
                                Humidité : <span id="humidite3"></span>%
                            </div>
                            <div>
                                <i class="fas fa-temperature-high"></i>
                                Temperature : <span id="temperature3"></span>°
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}